
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>四种整数数据类型的性能对比 / iVAN</title>

    <meta name="description" content="四种整数数据类型的性能对比 数据|数据类型|性能 在我们写VBA程序的时候,我们经常要面对数据类型定义的选择,有的情况下,业务本身对于数据类型有要求和限制,那么我们并不难以选择,有些时候却没有限制,我们可以任意选用四种整数类型(Byte,Integer,Long,Currency)中的一种,例如: For i=1 to 100 在这行代码中,我们该把变量i定义为什么类型的变量呢?显然四种整数类型都可以正常运行,但是他们的效率是否相同呢?我们到底该如何选择?有的人说,当时是选最小的数据类型Byte,有的人说在32位系统上,3">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">四种整数数据类型的性能对比</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>数据|数据类型|性能</p>
<p>在我们写VBA程序的时候，我们经常要面对数据类型定义的选择，有的情况下，业务本身对于数据类型有要求和限制，那么我们并不难以选择，有些时候却没有限制，我们可以任意选用四种整数类型（Byte，Integer，Long，Currency）中的一种，例如：<br />
<blockquote>For i=1 to 100</p></blockquote>
<p>　　在这行代码中，我们该把变量i定义为什么类型的变量呢？显然四种整数类型都可以正常运行，但是他们的效率是否相同呢？我们到底该如何选择？有的人说，当时是选最小的数据类型Byte，有的人说在32位系统上，32位的Long类型才是效率最高的。</p>
<p>　　那么究竟谁说的是正确的，让我们来进行一下这四种整数类型的性能对比测试，我们使用如下代码：</p>
<blockquote><p>Const LoopTimes = 100000000</p>
<p>Public Sub test()<br />    Dim bytTmp As Byte<br />    Dim intTmp As Integer<br />    Dim lngTmp As Long<br />    Dim curTmp As Currency<br />    Dim loopCount As Long<br />    <br />    Dim timeBegin As Single<br />    Dim timeEnd As Single<br />    Dim timeAddition As Single<br />    <br />    timeBegin = Timer<br />    For loopCount = 0 To LoopTimes<br />    Next loopCount<br />    timeEnd = Timer<br />    timeAddition = timeEnd - timeBegin<br />    <br />    <br />    timeBegin = Timer<br />    For loopCount = 0 To LoopTimes<br />        bytTmp = 255<br />    Next loopCount<br />    timeEnd = Timer<br />    Debug.Print "Byte :"; timeEnd - timeBegin - timeAddition; "秒"</p>
<p>    timeBegin = Timer<br />    For loopCount = 0 To LoopTimes<br />        intTmp = 255<br />    Next loopCount<br />    timeEnd = Timer<br />    Debug.Print "Integer :"; timeEnd - timeBegin - timeAddition; "秒"</p>
<p>    timeBegin = Timer<br />    For loopCount = 0 To LoopTimes<br />        lngTmp = 255<br />    Next loopCount<br />    timeEnd = Timer<br />    Debug.Print "Long :"; timeEnd - timeBegin - timeAddition; "秒"</p>
<p>    timeBegin = Timer<br />    For loopCount = 0 To LoopTimes<br />        curTmp = 255<br />    Next loopCount<br />    timeEnd = Timer<br />    Debug.Print "Currency :"; timeEnd - timeBegin - timeAddition; "秒"<br />    Debug.Print "*********************"</p>
<p>End Sub</p></blockquote>
<p>　　在这里，我们对每个整数类型进行了1亿次的赋值操作，同时减去了循环控制所消耗的空转时间，剩下的就是纯粹的赋值操作所需的时间。最后，让我们来看看运行的结果：</p>
<blockquote><p>Byte : 7.234375 秒<br />Integer : 2.421875 秒<br />Long : 3.4375 秒<br />Currency : 4.84375 秒<br />*********************<br />Byte : 7.234375 秒<br />Integer : 2.421875 秒<br />Long : 3.453125 秒<br />Currency : 4.875 秒<br />*********************<br />Byte : 7.21875 秒<br />Integer : 2.421875 秒<br />Long : 3.421875 秒<br />Currency : 4.875 秒<br />*********************</p></blockquote>
<p>　　看到这里，我想大家都应该很清楚了，虽然Byte占用内存最少，但是他的性能却是最差的，如果对于单个变量，我们没有必要使用Byte，当然Byte在大块数据段进行指针操作的时候，还是有他的非凡之处。剩下三种整数数据类型里面，Integer性能最佳，Currency性能最差。我们尽可能选择能够满足我们业务需要的最小数据类型。</p>
<p>　　上面是赋值操作的性能对比，下面我们来进行位操作的性能对比测试，我们使用如下代码：</p>
<blockquote><p>Const LoopTimes = 10000000</p>
<p>Public Sub test()<br />    Dim bytTmp As Byte<br />    Dim intTmp As Integer<br />    Dim lngTmp As Long<br />    Dim curTmp As Currency<br />    Dim strTmp As String<br />    Dim loopCount As Long<br />    <br />    Dim timeBegin As Single<br />    Dim timeEnd As Single<br />    Dim timeAddition As Single<br />    <br />    timeBegin = Timer<br />    For loopCount = 0 To LoopTimes<br />        strTmp = 255<br />    Next loopCount<br />    timeEnd = Timer<br />    timeAddition = timeEnd - timeBegin<br />    <br />    <br />    timeBegin = Timer<br />    For loopCount = 0 To LoopTimes<br />        strTmp = bytTmp Or 255<br />    Next loopCount<br />    timeEnd = Timer<br />    Debug.Print "Byte :"; timeEnd - timeBegin - timeAddition; "秒"</p>
<p>    timeBegin = Timer<br />    For loopCount = 0 To LoopTimes<br />        strTmp = intTmp Or 255<br />    Next loopCount<br />    timeEnd = Timer<br />    Debug.Print "Integer :"; timeEnd - timeBegin - timeAddition; "秒"</p>
<p>    timeBegin = Timer<br />    For loopCount = 0 To LoopTimes<br />        strTmp = lngTmp Or 255<br />    Next loopCount<br />    timeEnd = Timer<br />    Debug.Print "Long :"; timeEnd - timeBegin - timeAddition; "秒"</p>
<p>    timeBegin = Timer<br />    For loopCount = 0 To LoopTimes<br />        strTmp = curTmp Or 255<br />    Next loopCount<br />    timeEnd = Timer<br />    Debug.Print "Currency :"; timeEnd - timeBegin - timeAddition; "秒"<br />    Debug.Print "*********************"</p>
<p>End Sub</p></blockquote>
<p>　　这里，我们所比较的是逐位或操作，同样我们扣除了循环控制时间，赋值时间，下面让我们来看看结果：</p>
<blockquote><p>Byte : .625 秒<br />Integer : .296875 秒<br />Long : .296875 秒<br />Currency : .890625 秒<br />*********************<br />Byte : .609375 秒<br />Integer : .34375 秒<br />Long : .328125 秒<br />Currency : .90625 秒<br />*********************<br />Byte : .484375 秒<br />Integer : .265625 秒<br />Long : .203125 秒<br />Currency : .8125 秒<br />*********************<br />Byte : .53125 秒<br />Integer : .328125 秒<br />Long : .28125 秒<br />Currency : .875 秒<br />*********************</p></blockquote>
<p>　　我们可以看到，在位操作项目上，Byte赶上了Currency成了第三名，而Integer和Long则咬得很紧，但是最终还是Long胜出了，看来在32位系统上，32位数据类型确实有位操作上的优势，不要以为1字节位操作就会比4字节位操作快，事实上正好相反，4字节&gt;2字节&gt;1字节。</p>
<p>　　综合以上表现，我们的结论是，Byte和Currency的表现是最差的，但是这两个数据类型有他们的特殊用途，Byte适用于内存块的批量操作，Currency适用数据类型不确定的时候，剩下的Integer和Long，Integer在赋值操作上更快，Long在位操作上更快。</p>
<p>　　现在你知道该如何选择整数数据类型了吗？</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-08 16:45:09</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/integer/" title="integer">integer</a>, <a href="https://www.iamivan.net/tag/timer/" title="timer">timer</a>, <a href="https://www.iamivan.net/tag/currency/" title="currency">currency</a>, <a href="https://www.iamivan.net/tag/byte-%e7%b1%bb%e5%9e%8b/" title="byte&lbrack;&rsqb;类型">byte&lbrack;&rsqb;类型</a>, <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95timer%e6%95%b0%e6%8d%ae%e6%93%8d%e4%bd%9c/" title="方法timer数据操作">方法timer数据操作</a>, <a href="https://www.iamivan.net/tag/%e7%a7%92/" title="秒">秒</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>四种整数数据类型的性能对比的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXN0VQb.html" rel="bookmark">c&plus;&plus;中四种强制类型转换及区别对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C++四种强制类型 reinterpret_cast&lt;目标类型&gt;(原类型变量)//重解释类型转换  dynamic_cast&lt;new_type&gt;(expression)//动态类型转换  static_cast&lt;new_type&gt;(expression)//静态类型转换  const_cast&lt;new_type&gt;(expression)//返回一个指向非常量的指针   1.const_cast:常量指针被转化成非常量的指针,并且仍然指向原来的对象:常量引用被			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8k9Ab.html" rel="bookmark">javascript 三种数组复制方法的性能对比&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们以一个拥有500000个子项的数组, 作为测试对象(IE不会崩溃哦!). copyBySlice copyByConcat copyByLoop			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQ6mWp.html" rel="bookmark">HashMap循环遍历方式及其性能对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要介绍HashMap的四种循环遍历方式,各种方式的性能测试对比,根据HashMap的源码实现分析性能结果,总结结论. 1. Map的四种遍历方式 下面只是简单介绍各种遍历示例(以HashMap为例),各自优劣会在本文后面进行分析给出结论. (1) for each map.entrySet() Java 1 2 3 4 5 Map&lt;String, String&gt; map = new HashMap&lt;String, String&gt;(); for (Entry&lt;String,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3o5GAb.html" rel="bookmark">PHP5&period;5四种序列化性能对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				json_encode,serialize,igbinary,msgpack四种序列化方式,在之前已经有过相关的测试,PHP5.5这方面的测试暂时没有,这次测试基于PHP5.5,并且测试用例,http://blog.csdn.net/hguisu/article/details/7651730的测试用例是一样的,只是从这个测试上家里igbinary serialize的测试,作为对比,可以参考http://www.ooso.net/archives/538 运行环境        PHP5.5			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDDedz.html" rel="bookmark">ArrayList和LinkedList的几种循环遍历方式及性能对比分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要介绍ArrayList和LinkedList这两种list的五种循环遍历方式,各种方式的性能测试对比,根据ArrayList和LinkedList的源码实现分析性能结果,总结结论. 通过本文你可以了解(1)List的五种遍历方式及各自性能 (2)foreach及Iterator的实现 (3)加深对ArrayList和LinkedList实现的了解. 阅读本文前希望你已经了解ArrayList顺序存储和LinkedList链式的结构,本文不对此进行介绍. 相关:HashMap循环遍历方式及其性			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNv1Vp.html" rel="bookmark">MySQL 四种事务隔离级别详解及对比&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL 四种事务隔离级别详解及对比 按照SQL:1992 事务隔离级别,InnoDB默认是可重复读的(REPEATABLE READ).MySQL/InnoDB 提供SQL标准所描述的所有四个事务隔离级别.你可以在命令行用--transaction-isolation选项,或在选项文件里,为所有连接设置默认隔离级别. 例如,你可以在my.inf文件的[mysqld]节里类似如下设置该选项: transaction-isolation = {READ-UNCOMMITTED | READ-CO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlROxOz.html" rel="bookmark">oracle 10g数据泵和导入导出性能对比（四）并行度对数据泵导出的影响</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前一段时间在一次迁移中同时用到了数据泵和EXP,发现二者效率的差别还是相当大的.这里通过一个例子简单比较一下. 这篇文章讨论并行度对数据泵导出的影响. 写前几篇文章的时候对数据泵还了解不多,最近阅读文档发现,并行的设置也是有技巧的,如果设置的合理,可以明显的提高导出的性能. 首先还是看一下CPU的数量: SQL&gt; show parameter cpu NAME TYPE VALUE ------------------------------------ ----------- --------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Rejob.html" rel="bookmark">C&plus;&plus;中几种callable实现方式的性能对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 C++中想实现一个callable的对象,通常有四种方式: std::function:最common的方式,一般会配合std::bind使用. function pointer:最C的方式,但没办法实现有状态的callable object. function object:就是重载了operator()的类,C++98的STL中经常用. lambda expression:不会污染namespace,一般来说编译器内部会实现为一个匿名的function object. 从原理上性能最好			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDO8qz.html" rel="bookmark">linux下实现web数据同步的四种方式&lpar;性能比较&rpar;&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实现web数据同步的四种方式 ======================================= 1.nfs实现web数据共享2.rsync +inotify实现web数据同步3.rsync+sersync更快更节约资源实现web数据同步4.unison+inotify实现web数据双向同步 ======================================= 一.nfs实现web数据共享  nfs能实现数据同步是通过NAS(网络附加存储),在服务器上共享一个文件,且服务器			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0DlnM.html" rel="bookmark" class="title">Fireworks MX 2004特效字系列教程&mdash;&mdash;金属特效字</a>
					<div>
						教程 文字特效在网页或广告制作当中会被经常用到.因此在Fireworks中将制作好的文字特效保存为样式以便不时之需也是很有必要的.下面就为大家讲解在Fireworks中制作一款金属字的效果.      ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp54ADM.html" rel="bookmark" class="title">为动态创建MovieClip指定鼠标事件</a>
					<div>
						创建|动态|鼠标 如何为动态创建的MovieClip指定鼠标事件 1. 正常情况下,可以直接通过设置事件处理器指定事件,下面是一个例子 imageMc = mainContainer.createEm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wBNYp.html" rel="bookmark" class="title">css基本语法</a>
					<div>
						1. CSS的语法: CSS的定义是由三个部分构成: 选择符(selector),属性(properties)和属性的取值(value). 语法: selector {property: value} ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8y00p.html" rel="bookmark" class="title">A8-7670k配什么主板？</a>
					<div>
						  最近有网友&quot;风不停的转&quot;问小编这样一个问题:AMD A8-7670K配什么主板?针对这个问题,下面为大家详细介绍下. A8-7670K是AMD近日新推出的一款中端APU桌面处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42KarM.html" rel="bookmark" class="title">sql 视图与直接查询的效率那个快 视图第二次查询速度与第一次查询速度是否有差别 等等</a>
					<div>
						问题描述 sql 视图与直接查询的效率那个快 视图第二次查询速度与第一次查询速度是否有差别 等等 先说一下问这个问题的原因 刚接触数据库不到一年 视图这里疑问多多 跪求大牛讲解 问题如下 1 . 在同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo71lVb.html" rel="bookmark" class="title">java-新手求指教，请问在哪查看内部方法源代码。</a>
					<div>
						问题描述 新手求指教,请问在哪查看内部方法源代码. 虽然知道这个问题有点弱弱的,不过我在网上找了好久貌似没找对还是没找到. 主要是我在编写程序的过程中想看看一些内部方法(如:length(),Scan ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZa2vz.html" rel="bookmark" class="title">深入解析WordPress中加载模板的get&lowbar;template&lowbar;part函数&lowbar;php技巧</a>
					<div>
						最近研究官方主题 Twenty Eleven ,有一些东西网上现成的中文资料不好找,在博客里记载下来,算是分享,也算是备忘,wordpress 3.0 以后就开始便有了get_template_par ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kE24M.html" rel="bookmark" class="title">【转】奇文共欣赏，疑义相与析：原文转载《电脑维护技巧》&lpar;N条举措N条理由&rpar;并请大家交流研讨</a>
					<div>
						    以下转载的这篇大作,是我见过的有关&lt;电脑维护技巧&gt;举措中最为&quot;全面&quot;的一篇.不过,&quot;全面&quot;未必全有道理:其中所列有的有利于电脑运行,有的对运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32DVgz.html" rel="bookmark" class="title">51单片机交通灯的proteus仿真怎么弄</a>
					<div>
						问题描述 51单片机交通灯的proteus仿真怎么弄 这是我的代码和原理图,目的要求是点亮发光二极管同时数码管计数一段时间,然后换别的二极管亮再计数,程序不知道哪里错了,一运行数码管和发光二极管就不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW282Ab.html" rel="bookmark" class="title">干货 &vert; 算法工程师入门第三期&mdash;&mdash;黄李超讲物体检测</a>
					<div>
						雷锋网(公众号:雷锋网)按:地平线大牛讲堂算法工程师入门第三期重磅来袭!本期地平线深度学习算法工程师黄李超将为大家带来物体检测相关内容的分享,全文约8000字,建议阅读时间20分钟,欢迎转发或收藏.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZBNJb.html" rel="bookmark" class="title">link中如何设置随机数的概率？如何增加随机数的概率？代码怎么写？</a>
					<div>
						问题描述 link中如何设置随机数的概率?如何增加随机数的概率?代码怎么写? link中如何设置随机数的概率?如何增加随机数的概率?代码怎么写? 解决方案 可以产生两个随机数,然后取平均值来改变概率					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDyQxz.html" rel="bookmark" class="title">html-怎么调用bootstrap中的css，js</a>
					<div>
						问题描述 怎么调用bootstrap中的css,js bootstrap中的css js中有那么多,怎么知道用的时候该调用具体哪个. 还有bootstrap是不是就相当于别人写好的css 然后自己就不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRg77b.html" rel="bookmark" class="title">LEI不导数据了</a>
					<div>
						问题描述 LEI不导数据了,所有的定时的LEI都出现同样问题,不起作用了,这些LEI是DirectTransferActivity,从Notes导数据到SQL,现在数据都不更新,导致很多报表不能更新l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR1Xjb.html" rel="bookmark" class="title">Oracle迁移到PPAS&lpar;PostgreSQL&rpar;时的日期计算问题</a>
					<div>
						术语 ApsaraDB for RDS(PPAS),以下简称PPAS PPAS与Oracle的日期计算结果对比 PPAS: ppas=# SELECT TO_DATE('20140319 121212 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rVo5p.html" rel="bookmark" class="title">环信SDK如何实现把http&colon;&sol;&sol;、a&period;com、a&period;cn等自动变成链接？</a>
					<div>
						问题描述 自定义的文字也可以吗?如何实现?例如点击:登录/注册  就跳转到相应的界面 等等! 解决方案 这些可以判断截取消息内容,去实现点击事件.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnK5OM.html" rel="bookmark" class="title">传统网游厂商加速分食手机游戏市场</a>
					<div>
						日前,天津唐图科技有限公司获得上海联合水泥有限公司注资1000万元,格锐数码公司的手机游戏进入东欧7个国家市场--随着3G时代的来临,手机游戏盈利模式愈加清晰,成为众多公司的必争之地. 手机游戏未来3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7q3kz.html" rel="bookmark" class="title">vc 调用webservice 的问题 急求</a>
					<div>
						问题描述 代码如下xml如下&lt;?xmlversion=&quot;1.0&quot;encoding=&quot;utf-8&quot;?&gt;&lt;soap12:Envelopexmlns ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnGeyM.html" rel="bookmark" class="title">MapXtreme 2005 学习心得 相关代码知识&lpar;三&rpar;</a>
					<div>
						在看代码之前,先来了解下简单的代码知识: 1.MapFactory[索引或地图别名] 简单理解为存放地图的容器,要地图就来这里取 相关代码:MapInfo.Mapping.Map myMap = Ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJBR8p.html" rel="bookmark" class="title">use zfs snapshot rollback postgresql&amp;&num;039&semi;s primary to old status in PG HA</a>
					<div>
						前几天讲过zfs的snapshot用作PostgreSQL PITR, 使用接近还原点的snapshot可以减少xlog的apply, 缩短数据库的恢复时间. 其实snapshot还有一个作用, 用作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodrVgM.html" rel="bookmark" class="title">电信专业服务潜伏者华丽转身</a>
					<div>
						作 者:陈琛 服务:压力下的亮点 主流通信设备厂商近期陆续发布的二季度财报显示,严峻的全球经济气候依然在影响业绩:同时,全球电信市场的饱和以及激烈的竞争状态也给了设备商越来越大的压力. 而在诸多不利因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKLjWz.html" rel="bookmark" class="title">2013新浪金麒麟论坛11月25日在北京召开</a>
					<div>
						摘要: 查看最新行情 新浪董事长兼CEO曹国伟. 2013 新浪 金麒麟论坛11月25日在北京召开,本届论坛的主题为梦想之路:改革深化和经济转型.新浪董事长兼CEO曹国伟在发言中表示,依托新浪微 查看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmaNqp.html" rel="bookmark" class="title">abcd-求解答（C&plus;&plus;）拜托拜托</a>
					<div>
						问题描述 求解答(C++)拜托拜托 用3个函数完成以下功能:1).输入10个整数,2).找出最小和最大的数并与第一个数和最后一个数交换.3)输出处理后的10个数.要求在main函数中定义存储10个整数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBy6jAz.html" rel="bookmark" class="title">广东有线收视费不涨价</a>
					<div>
						消费者或可自购机顶盒 广东有线数字电视收费会不会如同上海等地般暴涨?机顶盒标准不统一.无法自由购买使用的问题能否得到解决?有线数字电视频道插播广告现象可否更理性化?这些困扰着广东省约千万有线数字电视用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqJGEp.html" rel="bookmark" class="title">美安全公司称松下客机娱乐系统有漏洞，抢夺飞机的控制权完全有可能</a>
					<div>
						  12月21日,雷锋网(公众号:雷锋网)发现 mailonline 网站上刊登了一个重磅消息,这篇报道有三个重要信息点. 研究声称,松下客机娱乐系统(IFE)很容易被黑客入侵: 网络安全公司发现黑客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvavVM.html" rel="bookmark" class="title">监管别只盯着&OpenCurlyDoubleQuote;香精&rdquo;</a>
					<div>
						在 曝光假冒蒸功夫的&quot;香精包子&quot;问题后,朝阳.昌平等区有关部门开始对包子铺专项大检查. &quot;香精包子&quot;,当然首要的是&quot;香精&quot;二字,因为目前我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLB3mRb.html" rel="bookmark" class="title">Now！云应用云里重生</a>
					<div>
						随着企业对运行云的信心逐渐增强,他们正逐步将原来越多的主要应用转移到云环境中.这使云供应商看到机遇,他们开始琢磨如何重新构筑传统的应用程序.而传统的运用程序设计之初根本未涉及云概念. 尽管服务商认同大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRd6Pez.html" rel="bookmark" class="title">门雨：网络营销思路觉得出路</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于任何营销来说我相信无论是市场营 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgWRL5M.html" rel="bookmark" class="title">专访轻奢手机品牌HANMAC钱总：为何选张继科刘国梁代言</a>
					<div>
						自轻奢手机品牌HANMAC于11月初发布轻奢手机万元机新品BON7手机以来,BON7手机以其独特的外观设计.最安全的加密系统.超高的附加服务价值,让BON7手机成为名副其实的轻奢手机万元机领域代表.B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myv0YPp.html" rel="bookmark" class="title">VANCL斥资千万线下造势，新思路还是开倒车？</a>
					<div>
						在这个互联网高速发展,迅速普及的时代,B2C.网购早已不再是新概念.越来越多的人开始从实体转向网络,鼠标一点,从网上解决问题.无论是婚庆.家装.钻饰还是日常购物,B2C以其更快速.更便捷.成本更低廉的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLj5Ap.html" rel="bookmark" class="title">希尔顿保释后首露面穿豹纹泳衣与男友鸳鸯戏水</a>
					<div>
						希尔顿穿豹纹与男友沙滩亲密 近日,豪门千金帕丽斯·希尔顿在藏毒被拘后首次外出露面.当日,她身着豹纹泳衣,和男友在夏威夷海滩时而鸳鸯戏水,时而沙滩牵手漫步时而相拥在一起. 接着,其又与男友一起现身逛街, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
